#include "RuntimeData.h"

class TInnerCan	InnerCan;
class TFCBusTx FCBusTx;	

class TEpDevice 		EpDev[dPORT_MAX_COUNT][dEP_MAX_COUNT_PER_PORT];
class TPort 		Port[dPORT_MAX_COUNT];
class THandCtlBoard 	HandCtlBoard[dHANDCTL_MAX_COUNT];
class TDirectCtlBoard 	DirectCtlBoard[dDIRECTCTL_MAX_COUNT];
class TMotherBoard 	MotherBoard ;
class TCommBoard 		CommBoard[dCOMMBOARD_MAX_COUNT] ;
class TThisMainCtl	MainCtl, MainCtlReg;

//class TFecBus FecBus;

void RtDataInit(void)
{
	unsigned int i;
	
	InnerCan.Init(0x00);
	Record.Init();
	//FecBus.Init(0x00, UsingUart);
	
	for(i=0; i<dPORT_MAX_COUNT; i++)		Port[i].Init();
	for(i=0; i<dHANDCTL_MAX_COUNT; i++)		HandCtlBoard[i].Init();
	for(i=0; i<dDIRECTCTL_MAX_COUNT; i++)	DirectCtlBoard[i].Init();
	MotherBoard.Init() ;
	for(i=0; i<dCOMMBOARD_MAX_COUNT; i++)	CommBoard[i].Init() ;
	MainCtl.Init(1,1);	
	MainCtlReg.Init(1,1);
}






























